import { gql } from "apollo-boost";

export const GET_DOCUMENTS_BY_JOB = gql`
  query GET_DOCUMENTS_BY_JOB($jobId: uuid!) {
    documents(where: { jobid: { _eq: $jobId } }) {
      id
      url
      thumb_url
      name
      key
    }
  }
`;

export const INSERT_NEW_DOCUMENT = gql`
  mutation INSERT_NEW_DOCUMENT($docInput: [documents_insert_input!]!) {
    insert_documents(objects: $docInput) {
      returning {
        id
        url
        thumb_url
        name
        key
      }
    }
  }
`;

export const DELETE_DOCUMENT = gql`
  mutation DELETE_DOCUMENT($id: uuid) {
    delete_documents(where: { id: { _eq: $id } }) {
      returning {
        id
      }
    }
  }
`;
